from django.urls import path

from blog.feeds import LatestArticlesFeed
from . import views

app_name = 'blog'

urlpatterns = [
    path('', views.ArticleListView.as_view(), name='article_list'),
    path('category/<slug:category_slug>/', views.ArticleListView.as_view(), name='category_detail'),
    path('rss/', LatestArticlesFeed(), name='rss_feed'), 
    path('<slug:slug>/', views.ArticleDetailView.as_view(), name='article_detail'),
    path('draft/<slug:slug>/', views.ArticleDraftPreviewView.as_view(), name='draft_preview'),
]

